Skip to main content
PUT
/
api
/
v1
/
agent-schedules
/
{id}
cURL
curl --request PUT \
  --url https://api.backside.app/api/v1/agent-schedules/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "cron_expression": "<string>",
  "enabled": true,
  "input_template": "<unknown>",
  "timezone": "<string>"
}
'
{
  "blueprint": "<string>",
  "consecutive_failures": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "cron_expression": "<string>",
  "enabled": true,
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "timezone": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "disabled_reason": "<string>",
  "input_template": "<unknown>",
  "last_enqueued_at": "2023-11-07T05:31:56Z",
  "last_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Schedule ID

Body

application/json
cron_expression
string | null
enabled
boolean | null
input_template
any
timezone
string | null

Response

Schedule updated

blueprint
string
required
consecutive_failures
integer<int32>
required
created_at
string<date-time>
required
cron_expression
string
required
enabled
boolean
required
id
string<uuid>
required
tenant_id
string<uuid>
required
timezone
string
required
updated_at
string<date-time>
required
disabled_reason
string | null
input_template
any
last_enqueued_at
string<date-time> | null
last_run_id
string<uuid> | null